## mx4j.tools.remote.caucho
Interface CauchoOutput

public interface CauchoOutput

Version:
  $

Method Summary
`void` `completeCall()`
`void` `completeReply()`
`void` `startCall()`
`void` `startReply()`
`void` `writeFault(java.lang.Throwable fault)`
`void` `writeHeader(java.lang.String header)`
`void` `writeMethod(java.lang.String methodName)`
`void` `writeObject(java.lang.Object object)`

Method Detail

### startCall

    public void startCall()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### completeCall

    public void completeCall()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### startReply

    public void startReply()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### completeReply

    public void completeReply()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeHeader

    public void writeHeader(java.lang.String header)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeMethod

    public void writeMethod(java.lang.String methodName)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeObject

    public void writeObject(java.lang.Object object)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFault

    public void writeFault(java.lang.Throwable fault)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.